Results 1 to 5 of 5

Thread: cuda-visual-tools checksum error on update

  1. #1

    Default cuda-visual-tools checksum error on update

    Am I the only one with this problem? Google found nothing about it, very strange. There must be more cuda users using Tumbleweed I think...

    From nvidia 13.2 repo:
    http://developer.download.nvidia.com...1-1.x86_64.rpm

    Should I not use that repo? How do you guys install cuda on Tumbleweed?

    zypper dup says:
    Code:
    Retrieving: cuda-visual-tools-8-0-8.0.61-1.x86_64.rpm ....................................................................................................................................[done (3.7 MiB/s)]
    
    Warning: Digest verification failed for file 'cuda-visual-tools-8-0-8.0.61-1.x86_64.rpm'
    [/var/cache/zypp/packages/cuda/cuda-visual-tools-8-0-8.0.61-1.x86_64.rpm]
    
      expected 3733c58f13100bf9700be8e40c922dcb2f07cf5e
      but got  0e23ddd5501618bedbda55a04fedabab06899da8
    
    Accepting packages with wrong checksums can lead to a corrupted system and in extreme cases even to a system compromise.
    
    However if you made certain that the file with checksum '0e23..' is secure, correct
    and should be used within this operation, enter the first 4 characters of the checksum
    to unblock using this file on your own risk. Empty input will discard the file.
    zypper.log:
    Code:
    2017-02-12 06:35:22 <1> ge40L.site(15733) [zypp++] MediaMultiCurl.cc(doGetFileCopy):1360 HTTP response: 200
    2017-02-12 06:35:22 <1> ge40L.site(15733) [zypp++] MediaMultiCurl.cc(looks_like_metalink):1234 looks_like_metalink(/var/adm/mount/AP_0xGJwlq6/cuda-visual-tools-8-0-8.0.61-1.x86_64.rpm.new.zypp.VYOOkg): 0
    2017-02-12 06:35:22 <1> ge40L.site(15733) [zypp] PathInfo.cc(rename):673 rename /var/adm/mount/AP_0xGJwlq6/cuda-visual-tools-8-0-8.0.61-1.x86_64.rpm.new.zypp.VYOOkg -> /var/adm/mount/AP_0xGJwlq6/cuda-visual-tools-8-0-8.0.61-1.x86_64.rpm
    2017-02-12 06:35:22 <1> ge40L.site(15733) [zypp++] MediaMultiCurl.cc(doGetFileCopy):1476 done: /var/adm/mount/AP_0xGJwlq6/cuda-visual-tools-8-0-8.0.61-1.x86_64.rpm{- 0644 0/0 size 285882398}
    2017-02-12 06:35:22 <1> ge40L.site(15733) [zypp++] MediaHandler.cc(provideFile):1000 provideFile(./cuda-visual-tools-8-0-8.0.61-1.x86_64.rpm)
    2017-02-12 06:35:22 <1> ge40L.site(15733) [zypp++] MediaManager.cc(checkDesired):112 checkDesired(12): desired (cached)
    2017-02-12 06:35:22 <1> ge40L.site(15733) [zypp] PathInfo.cc(unlink):659 hardlinkCopy /var/adm/mount/AP_0xGJwlq6/cuda-visual-tools-8-0-8.0.61-1.x86_64.rpm -> /var/cache/zypp/packages/cuda/cuda-visual-tools-8-0-8.0.61-1.x86_64.rpmunlink /var/cache/zypp/packages/cuda/cuda-visual-tools-8-0-8.0.61-1.x86_64.rpm
    2017-02-12 06:35:22 <1> ge40L.site(15733) [zypp] PathInfo.cc(hardlinkCopy):839 
    2017-02-12 06:35:22 <1> ge40L.site(15733) [zypp++] MediaSetAccess.cc(releaseFile):85 Going to release file ./cuda-visual-tools-8-0-8.0.61-1.x86_64.rpm from media number 1
    2017-02-12 06:35:22 <1> ge40L.site(15733) [zypp] PathInfo.cc(unlink):659 unlink /var/adm/mount/AP_0xGJwlq6/cuda-visual-tools-8-0-8.0.61-1.x86_64.rpm
    2017-02-12 06:35:22 <1> ge40L.site(15733) [zypp:fetcher] Fetcher.cc(validate):392 Checking job [/var/cache/zypp/packages/cuda/cuda-visual-tools-8-0-8.0.61-1.x86_64.rpm] (1 checkers )
    2017-02-12 06:35:23 <2> ge40L.site(15733) [FileChecker] FileChecker.cc(operator()):64 File /var/cache/zypp/packages/cuda/cuda-visual-tools-8-0-8.0.61-1.x86_64.rpm has wrong checksum sha1-0e23ddd5501618bedbda55a04fedabab06899da8 (expected sha1-3733c58f13100bf9700be8e40c922dcb2f07cf5e)

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,196
    Blog Entries
    15

    Default Re: cuda-visual-tools checksum error on update

    Hi
    There is no way a rpm for openSUSE 13.2 will work with Tumbleweed, besides 13.2 is EOL... They need to update to later releases, I also doubt they would have a version for Tumbleweed since it's bleeding edge.

    You need to ask on their forums since it's proprietary code.... Or try the run file rather than the rpm and see if it builds.
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3

    Default Re: cuda-visual-tools checksum error on update

    Quote Originally Posted by malcolmlewis View Post
    Hi
    There is no way a rpm for openSUSE 13.2 will work with Tumbleweed, besides 13.2 is EOL... They need to update to later releases, I also doubt they would have a version for Tumbleweed since it's bleeding edge.

    You need to ask on their forums since it's proprietary code.... Or try the run file rather than the rpm and see if it builds.
    Ah ok, thanks. Until this update I had zero problems with that repo on Tumbleweed. Also I assumed the cuda packages are just some c binaries that communicate with the nvidia drivers (that I have from bumblebee repo for tumbleweed), so it should not matter that the repo is for 13.2. (except maybe the few binaries with a gui, but even the nvidia settings app worked).

    Also, checksum error sounds more like a problem with the repo, I assume you would get that on 13.2 too. The other cuda packages verified fine.

  4. #4

    Default Re: cuda-visual-tools checksum error on update

    Ah, found more people with the same problem. So I will wait until Nvidia fixes it...
    https://devtalk.nvidia.com/default/t...-04/?offset=11

  5. #5

    Default Re: cuda-visual-tools checksum error on update

    Nvidia fixed it.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •